Bug 62761 - Allow umount /dev/cdrom in rescue system
Allow umount /dev/cdrom in rescue system
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Michael Fulbright
Brock Organ
: FutureFeature
Depends On:
  Show dependency treegraph
Reported: 2002-04-05 01:48 EST by Dr. Tilmann Bubeck
Modified: 2007-04-18 12:41 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2002-04-05 01:48:40 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Dr. Tilmann Bubeck 2002-04-05 01:48:36 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.0; Windows NT; DigExt)

Description of problem:
During rescue one must often change CD which is currently not possible. Doing 
a "umount /mnt/source" or simliar gets "Device or resource busy" and prevents 
you from using a different CD.

Different CDs are important if you want to install/repair a rpm found on the 
second rhat disk or if using a "private" cd containing dumps/tars to restore.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Boot rescue
2. Try to unmount cdrom

Actual Results:  Device or resource busy

Expected Results:  unmounting

Additional info:
Comment 1 Jeremy Katz 2002-04-05 14:49:27 EST
Not possible.  The rescue image you are working off of is on the mounted CD.  If
you want to use the CD during rescue mode for other things, you need to use a
network method such as FTP, HTTP, or NFS for rescue mode.
Comment 2 Dr. Tilmann Bubeck 2002-04-06 06:22:44 EST
Think about copying the files into a ram disk. Would be easy and of great helf.

Note You need to log in before you can comment on or make changes to this bug.